## `operator<<`

Format a kind to an output stream.

### Synopsis

Defined in header <boost/json/kind.hpp>.

    std::ostream&
    operator<<(
        std::ostream& os,
        kind k);

### Description

This allows a `kind` to be formatted as a string. This can be useful for diagnostics.

### Return Value

A reference to `os`.

### Parameters

Name | Description
--- | ---
`os` | The output stream to format to.
`k` | The kind to format.

Convenience header <boost/json.hpp>

Edit this page